Name:          minlog
Version:       1.2
Release:       2%{?dist}
Summary:       Minimal overhead Java logging
Group:         Development/Libraries
License:       BSD
URL:           http://code.google.com/p/minlog/
Source0:       http://minlog.googlecode.com/files/%{name}-%{version}.zip
Source1:       http://repo2.maven.org/maven2/com/googlecode/%{name}/%{version}/%{name}-%{version}.pom
# from http://code.google.com/p/minlog/source/browse/trunk/license.txt
Source2:       minlog-license.txt

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
MinLog is a Java logging library. Key features:

° Zero overhead Logging statements below a given level
  can be automatically removed by javac at compile time.
  This means applications can have detailed trace and
  debug logging without having any impact on the finished product.

° Simple and efficient The API is concise and the code
  is very efficient at run-time.

° Extremely lightweight The entire project consists of a single
  Java file with ~100 non-comment lines of code.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
find -name "*.class" -delete
find -name "*.jar" -delete
mv %{name}/* .
cp -p %{SOURCE1} pom.xml
cp -p %{SOURCE2} license.txt
sed -i 's/\r//' license.txt
# remove some warning
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-compiler-plugin']" "<version>2.5.1</version>"

%build

mvn-rpmbuild package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "com.esotericsoftware.%{name}:%{name}"

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc license.txt

%files javadoc
%{_javadocdir}/%{name}
%doc license.txt

%changelog
* Tue Apr 30 2013 gil cattaneo <puntogil@libero.it> 1.2-2
- installed proper license file

* Fri Mar 08 2013 gil cattaneo <puntogil@libero.it> 1.2-1
- initial import for fedora

* Thu Aug 4 2011 gil <puntogil@libero.it> 1.2-mga1
- initial rpm